<template>
    <footer>
        <b-container>
            <b-row>
                <b-col>
                    <ul class="socialList">
                        <li><a href="https://www.facebook.com/RentCollegePads" id="rcp-fb"><i class="fab fa-facebook-f"></i></a></li>
                        <li><a href="https://twitter.com/RentCollegePads" id="rcp-tw"><i class="fab fa-twitter"></i></a></li>
                        <li><a href="https://www.linkedin.com/company/rent-college-pads" id="rcp-ln"><i class="fab fa-linkedin-in"></i></a></li>
                        <li><a href="https://www.youtube.com/channel/UCLovXEDCo7uH-AnZaA_KZhw" id="rcp-yt"><i class="fab fa-youtube"></i></a></li>
                    </ul>
                </b-col>
            </b-row>
        </b-container>
        <b-container>
            <b-row>
                <b-col sm="12">
                    <hr>
                </b-col>
                <b-col>
                    <ul class="footer-menu">
                        <li><a :href="this.$parent.server_path+'careers'" id="link-careers">Careers</a></li>
                        <li><a :href="this.$parent.server_path+'partners'" id="link-partners">Partnership</a></li>
                        <li><a :href="this.$parent.server_path+'news'" id="link-news">News</a></li>
                        <li><a :href="this.$parent.server_path+'contactus'" id="link-contactus">Contact</a></li>
                        <li><a :href="this.$parent.server_path+'privacy'" id="link-privacy">Privacy</a></li>
                        <li><a :href="this.$parent.server_path+'terms'" id="link-terms">Terms</a></li>
                        <li><a :href="this.$parent.server_path+'disclaimer'" id="link-disclaimer">Disclaimer</a></li>
                    </ul>
                    <p>Copyright © {{ new Date().getFullYear() }}. Rent College Pads. All rights reserved</p>
                </b-col>
            </b-row>
        </b-container>
    </footer>
</template>

<style scoped>
    footer {padding: 30px 0; background-color: #fff}
    .socialList {list-style: none;margin: 0;padding: 0;display: flex;justify-content: center;align-items: center;}
    .socialList li {padding: 0 6px;}
    .socialList li a {width: 50px;height: 50px;border-radius: 50%;background: #33cc66;display: flex;justify-content: center;align-items: center;text-decoration: none;transition: 0.15s all linear}
    .socialList li a i{color: #fff;font-size: 1.5rem;}
    .socialList li a:hover{background: #fff;box-shadow: 0px 0 40px 1px rgba(0,0,0,0.2)}
    .socialList li a:hover i{color: #23ce60}
    footer hr {margin: 30px 0;}
    .footer-menu {list-style: none;margin: 0 0 15px;padding: 0;display: flex;justify-content: center;align-items: center;flex-wrap: wrap;}
    .footer-menu li {position: relative;padding: 5px 20px;}
    .footer-menu li a {font-family: 'Roboto', sans-serif;font-weight: 700;font-size: 1.12rem;color: #33cc66;}
    .footer-menu li:not(:first-child):after {content: '';position: absolute;left: 0;top: 13px;width: 8px;height: 8px;border-radius: 50%;background: #33cc66;}
    .footer-menu + p {margin: 0;text-align: center;font-size: 15px;color: rgba(53, 53, 53, 0.5);}

    @media (max-width: 767px){
        footer{padding: 15px 0 !important;}
        .socialList li a {width: 40px !important;height: 40px !important;}
        .socialList li a i{font-size: 1.1rem !important;}
        footer hr {margin: 20px 0 !important;}
        .footer-menu li {padding: 1px 10px !important;}
        .footer-menu li a {font-size: 0.9rem !important;}
        .footer-menu li:not(:first-child):after {left: 2px !important;top: 12px !important;width: 5px !important;height: 5px !important;}
    }

</style>

<script>
    module.exports = {

        data: function () {
            return {}
        }
    };
</script>
